package cn.sagacloud.server.algorithm.backstage.model.datacenter

import cn.sagacloud.server.algorithm.backstage.model.datacenter.DCDataBase
import com.alibaba.fastjson.annotation.JSONField
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column

/**
 *
 *
 * @author jxing
 */
open class DCEquipment : DCDataBase() {

//    @JSONField(name = "BIMID")
//    var bimId : String? = null

    @JSONField(name = "id")
    var id : String? = null

    @JSONField(name = "bimLocation")
    var bimLocation : String? = null

    @JSONField(name = "localName")
    var localName : String? = null

    @JSONField(name = "localId")
    var localId : String? = null

    @JSONField(name = "classCode")
    var classCode : String? = null

    @JSONField(name = "floorId")
    var floorId: String? = null

    @JSONField(name = "cadId")
    var cadId: String? = null

    @JSONField(name = "modelId")
    var modelId: String? = null

    @JSONField(name = "familyName")
    var familyName : String? = null

    @JSONField(name = "familySymbol")
    var familySymbol : String? = null

    @JSONField(name = "buildingId")
    var buildingId: String? = null

    @JSONField(name = "bimTypeId")
    var bimTypeID: String? = null

    /** 转换后的信息点 */
    @JSONField(name = "infos")
    var infos: Map<String,String>? = null

    /** 构件分类名称 */
    @ApiModelProperty(value = "构件分类名称")
    @JSONField(name = "bimTypeName")
    var bimTypeName: String? = null

    /** 别编码 */
    @ApiModelProperty(value = "别编码")
    @JSONField(name = "aliasCode")
    var aliasCode: String? = null

    /** 别名称 */
    @ApiModelProperty(value = "别名称")
    @JSONField(name = "aliasName")
    var aliasName: String? = null
}