package cn.sagacloud.server.algorithm.models.entities

import cn.sagacloud.server.algorithm.models.modelFile.TaskEntity
import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 项目
 * @author  Cainga
 * @date  2020/12/3 15:50
 */
@ApiModel(description = "项目")
@Table(name = "revit.project")
@JsonIgnoreProperties(ignoreUnknown = true)
open class Project {
    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "id", updatable = false)
    @Id
    var id: String? = null

    /** 项目名称 */
    @ApiModelProperty(value = "项目名称")
    @Column(name = "name")
    var name: String? = null

}